%ifnos darwin
%define __cp_a		cp -a
%define __defattr	%defattr(-,root,root)
%define __soext		so
%else
%define __cp_a		cp -pPR
%define __defattr	%defattr(-,root,wheel)
%define __soext		dylib
%endif
%define __kpsver	3.2.1
%define __kpslib	libkpathsea.%{__soext}.%{__kpsver}

%define texmf		%{_prefix}/share/texmf
%define exec_texhash	[ -x %{_prefix}/bin/texhash ] && /usr/bin/env - %{_prefix}/bin/texhash 2> /dev/null

Summary: Dvi viewer
Summary(ja): DVI եΥץӥ塼
Name: xdvik
%define eversion 22.15
Version: %{eversion}_jp
Release: 16a
Source0: ftp://ftp.u-aizu.ac.jp/pub/tex/CTAN/dviware/xdvik/xdvik-%{eversion}.tar.bz2
Source1: XDvi.vine.ad
Source2: vfontmap.vine.add3
Patch0: ftp://ftp.appi.keio.ac.jp/pub/xdvi/xdvik-22.15-j1.04.patch.gz
# patches for Vine Linux
Patch1: xdvik.xdvi.vine.diff
Patch2: xdvik-config.vine.diff
Patch3: xdviprint.diff
Patch4: xdvi.print.diff
Patch5: xdvik.vfontmap2.vine.patch
Patch10: teTeX-1.0-xaw3d.patch
Patch11: xdvik-dot.patch
Patch12: xdvik-22.15-j1.03-oxdvik.patch
Patch13: xdvik-config.macosx.diff
Patch14: xdvik-22.15-macosx.patch
Patch15: xdvik-22.15-button.patch
Copyright: GPL
Group: Applications/Publishing
BuildRequires: Xaw3d-devel
%ifnos darwin
Requires: VFlib >= 2.24, tetex >= 1.0.7
%else
Requires: VFlib2 >= 2.24, tetex >= 1.0.7
%endif
Prereq: tetex
Provides: tetex-xdvik %{__kpslib}
Buildroot: %{_tmppath}/%{name}-root

# Vendor: Project Vine
# Distribution: Vine Linux

%description
This software is used to preview TeX dvi files on X. 
If you install VFlib, you can use various fonts that can be used with
VFlib.  If you install Ghostscript, you can also view encapsulated
postscript (eps) files included in the dvi file.  The paths necessary
for this program are set with TeX's kpathsearch software.

If you feel the window menu is too large (or small), try xdvis (or xdvil).

%description -l ja
X  TeX  DVI եץӥ塼뤿Υեȥxdvik
ܸбǤǤ(ܸ첽ѥå xdvik22.02-j1.02 )
VFlib Ѥ뤳Ȥ, ζ, JG եȷ, TrueType 
ܸ٥եȤɽ뤳ȤǤޤ. Ghostscript Ѥ 
EPS οޤޤ DVI եɽ뤳ȤǤޤ. ƼΥѥ
ˤ TeX kpathsearch Ѥޤ. 

̥ˤ碌ơ˥塼ɽ礭Ѥޤ
(˥塼礭ϴĶѿ XFONTSIZE=small/normal ؤˤʤޤ)
ɽȤˤ xdvis 礭ɽȤ xdvil 
ߤƲ

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n xdvik-%{eversion}
%patch0 -p1
(cd texk/xdvik
%patch1 -p0
%ifnos darwin
%patch2 -p0
%patch3 -p0
%patch4 -p0
%else
%patch13 -p0
%endif
)
#%patch5 -p1
%patch10 -p1
%patch11 -p1

%{__cp_a} texk/xdvik texk/oxdvik
%patch12 -p1
%ifos darwin
%patch14 -p1
(cd config
cp /usr/share/libtool/{config.guess,config.sub,ltmain.sh} .
cd ../texk
cp /usr/share/libtool/{config.guess,config.sub,ltmain.sh} .
)
%endif
%patch15 -p1

%build

%ifarch sparc
EXT_LIB="-lXext"
%endif

######### Build xdvis #############################
(cd texk; %{__libtoolize} --copy --force)
(cd kpathsea; %{__libtoolize} --copy --force)
(cd gsftopk; %{__libtoolize} --copy --force)
(cd xdvik; %{__libtoolize} --copy --force)
%{__libtoolize} --copy --force

CFLAGS="$RPM_OPT_FLAGS -DA4" ./configure \
	--prefix=\${DESTDIR}/usr/X11R6 \
	--enable-shared --with-dvifilter=dvips \
	--with-vfontmap --enable-bdpi=300 \
	--enable-xdviprint=\${DESTDIR}/usr/X11R6/bin/xdviprint \
	--enable-xdvietcdir=\${DESTDIR}%{_datadir}/texmf/xdvi \
	--enable-shrink=7  --enable-smallpanel \
	--with-x-toolkit=yes --with-system-www

%ifos darwin
(cd texk/xdvik
sed -e 's;XDVERSION/\*\*/JPVERSION;XDVERSION JPVERSION;' \
	version.h > version.h.mod
mv version.h.mod version.h
)
(cd texk/oxdvik
sed -e 's;XDVERSION/\*\*/JPVERSION;XDVERSION JPVERSION;' \
	version.h > version.h.mod
mv version.h.mod version.h
)
%endif
make XCFLAGS='-DMFMODE=\"cx\"' texmf=%{_datadir}/texmf x_ext_lib="$EXT_LIB"
mv texk/xdvik/xdvi.bin.exe xdvis.bin

make clean

######### Build xdvi #############################
CFLAGS="$RPM_OPT_FLAGS -DA4" ./configure \
	--prefix=\${DESTDIR}/usr/X11R6 \
	--enable-shared --with-dvifilter=dvips \
	--with-vfontmap --enable-bdpi=300 \
	--enable-xdviprint=\${DESTDIR}/usr/X11R6/bin/xdviprint \
	--enable-xdvietcdir=\${DESTDIR}%{_datadir}/texmf/xdvi \
	--enable-shrink=4 --disable-smallpanel\
	--with-x-toolkit=yes --with-system-www

make XCFLAGS='-DMFMODE=\"cx\"'  texmf=%{_datadir}/texmf x_ext_lib="$EXT_LIB" 

######### Build oxdvi #############################
(cd texk/oxdvik
make XCFLAGS='-DMFMODE=\"cx\"'  texmf=%{_datadir}/texmf x_ext_lib="$EXT_LIB" 
)
###################################################

%install
# install xdvik
(cd texk/xdvik
make DESTDIR=${RPM_BUILD_ROOT} texmf=${RPM_BUILD_ROOT}%{_datadir}/texmf install install-data
)

install -m 755 xdvis.bin ${RPM_BUILD_ROOT}/usr/X11R6/bin/

(cd ${RPM_BUILD_ROOT}/usr/X11R6/bin
ln -s xdvi xdvis
ln -s xdvi xdvil
)

######### install oxdvi #############################
(cd texk/oxdvik
make DESTDIR=${RPM_BUILD_ROOT} install
)
###################################################

install -d ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/app-defaults/
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/app-defaults/XDvi

#install gsftopk
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/texmf/dvips/gsftopk/
make DESTDIR=${RPM_BUILD_ROOT} texmf=${RPM_BUILD_ROOT}%{_datadir}/texmf\
	-C texk/gsftopk install

#set up vfontmap
cat %{SOURCE2} >>${RPM_BUILD_ROOT}%{_datadir}/texmf/xdvi/vfontmap

#for 'texconfig init'
ln -s /usr/X11R6/lib/X11/app-defaults/XDvi ${RPM_BUILD_ROOT}%{_datadir}/texmf/xdvi/XDvi

#desktop things
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Graphics
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/xdvi.desktop <<EOF
[Desktop Entry]
Name=XDvi
Comment=XDvi previewer
Exec=/usr/X11R6/bin/xdvi
Icon=gnome-word.png
Terminal=0
Type=Application
EOF

%post
%{exec_texhash}
if [ ! -f %{_usr}/lib/%{__kpslib} ]; then
   (cd %{_usr}/lib; ln -s libkpathsea.%{__soext} %{__kpslib})
fi

%postun
%{exec_texhash}
if [ x`find %{_usr}/lib/%{__kpslib} -type l` != x ]; then
   rm %{_usr}/lib/%{__kpslib}
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{__defattr}
%doc texk/xdvik/{BUGS,FAQ,INSTALL,README*,XDVI.RNH}
%doc texk/xdvik/READMEs/
%config /etc/X11/applnk/Graphics/xdvi.desktop
%config %{_datadir}/texmf/xdvi/vfontmap
/usr/X11R6/bin/gsftopk
/usr/X11R6/bin/oxdvi
/usr/X11R6/bin/oxdvi.bin
/usr/X11R6/bin/xdvi
/usr/X11R6/bin/xdviprint
/usr/X11R6/bin/xdvis
/usr/X11R6/bin/xdvil
/usr/X11R6/bin/xdvi.bin
/usr/X11R6/bin/xdvis.bin
/usr/X11R6/lib/X11/app-defaults/XDvi
/usr/X11R6/man/man1/*
#%{_datadir}/texmf/dvips/gsftopk/
%dir %{_datadir}/texmf/xdvi/
%{_datadir}/texmf/xdvi/xdvipaper*
%{_datadir}/texmf/xdvi/XDvi

%changelog 
* Sat Nov 23 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp> 22.15_jp-16a
- 1st build on MacOS X 10.2

* Tue Apr 16 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 22.15_jp-16
- update vfontmap to use MORISAWA basic 5 fonts

* Mon Mar 25 2002 Jun Nishii <jun@vinelinux.org> 22.15_jp-15
- update vfontmap to use df* and lx*

* Sat Nov 17 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 22.15_jp-14
- add /usr/share/texmf/xdvi/XDvi for 'texconfig init' command
- add BuildRequires Xaw3d-devel

* Wed Aug  1 2001 Jun Nishii <jun@vinelinux.org> 22.15_jp-13
- build for tetex
- added xaw3d patch and dot patch
- added oxdvi
- obsoletes wmconfig/xdvi
- provides tetex-xdvik
- remove render.ps which is in tetex

* Sat Nov 18 2000 Jun Nishii <jun@vinelinux.org>
- bug fix for Tategaki mode

* Wed Jul 26 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- libtoolize for alpha

* Wed Jul 19 2000 Jun Nishii <jun@vinelinux.org>
- 22.15_jp-9
- update japanese patch: xdvik-22.15-j1.04
- auto gzip man and strip bins

* Wed Mar  8 2000 Jun Nishii <jun@vinelinux.org>
- fix Exec path

* Fri Jan 21 2000 Jun Nishii <jun@vinelinux.org>
- rel.7
- enable automatic detection of tategaki format
- small bug fix in spec
- added entries for true type fonts, pop, lei, gyo,... in vfontmap
- config vfontmap

* Sun Jan  9 2000 Jun Nishii <jun@vinelinux.org>
- patch for special.c (xdvi-jp-ML) is merged.

* Fri Jan  7 2000 Jun Nishii <jun@vinelinux.org>
- fix vfontmap to use jis fontmetric

* Fri Oct 29 1999 Norihito Ohmori <ohmori@flatout.org>
- change group.

* Fri Oct 15 1999 Norihito Ohmori <ohmori@flatout.org>
- add support for wmconfig in for the xdvi package

* Thu Oct 14 1999 Norihito Ohmori <ohmori@flatout.org>
- update to xdvik-22.15-j1.03
- fix font generation waring [VineSeed-devel:00128]

* Sat Sep 18 1999 Jun Nishii <jun@flatout.org>
- add xdvil
- change menu size by XFONTSIZE

* Fri Jun 25 1999 Jun Nishii <jun@flatout.org>
- bug fix in gsftopk

* Mon Jun 21 1999 Jun Nishii <jun@flatout.org>
- added gsftopk

* Wed Apr 21 1999 Jun Nishii <jun@flatout.org>
- updated to 22.02

* Wed Feb 24 1999 Jun Nishii <jun@flatout.org>
- added Japanese Summary for Vine Linux

* Thu Dec 3 1998 Jun Nishii <jun@flatout.org>
- rename as xdvik-20c_jp from xdvik-20cj1.0p0d-4
- added resource
- enable smaller font for xdvis by fixing xdvi and resource setting
- move some files under /usr/X11R6 from /usr/

* Wed Nov 11 1998 Jun Nishii <jun@flatout.org>
- use VFlib-2.24

* Sun Nov 8 1998 Jun Nishii <jun@flatout.org>
- use libwww
- move to dvips as a default dvi converter

* Sun Oct 18 1998 Jun Nishii <jun@flatout.org>
- bug fix of search path of vfontmap

* Mon Oct 12 1998 Jun Nishii <jun@flatout.org>
- update to xdvik-j1.0p0d patch
- make menu box smaller for xdvis and modify the settings
  (xdvik.sxdvi.pje.diff)
- add dviselect from SeeTeX

* Wed Sep 23 1998 Jun Nishii <jun@flatout.org>
- release 4
- move to /usr from /usr/local

* Thu Jun  4 1998 Jun Nishii <jun@flatout.org>
- add xdvis

* Sat May 30 1998 Jun Nishii <jun@flatout.org>
- first release for PJE
